const instanceMap = new Map();
export const instance = (_class) => {
    if (instanceMap.has(_class)) {
        return instanceMap.get(_class);
    }
    else {
        const newclass = new _class();
        instanceMap.set(_class, newclass);
        return newclass;
    }
};
//# sourceMappingURL=instance.js.map